%define version 1.6.0
%define release 1
%define name smeserver-dovecot


Summary: Dovecot IMAP server integration
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.xz

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools

Requires: e-smith-base >= 5.2.0
Requires: dovecot >= 2.0.9

Provides: e-smith-imap
Obsoletes: e-smith-imap
Obsoletes: e-smith-ssl-imap
Obsoletes: e-smith-wu-imap
Obsoletes: imap
Obsoletes: m4 <= 1.4.5
Obsoletes: mailfront <= 1.10
Obsoletes: stunnel <= 4.15
Obsoletes: stunnel-tls <= 3.22
Obsoletes: words <= 3.0

%description
Configure the dovecot IMAP server with sieve scripts support,
quota, ACL, extended logging, master user

%changelog
* Sat Feb 06 2016 stephane de Labrusse <stephdl@de-labrusse.fr> 1.6.0-1.sme
- Initial release to sme10

* Wed Jan 13 2016 Daniel Berteaud <daniel@firewall-services.com> - 1.4.0-20.sme
- Hook into the new ssl-update event [SME: 9152]

* Thu Jan 7 2016 Daniel Berteaud <daniel@firewall-services.com> - 1.4.0-19.sme
- Allow settings SSL protocols from DB (and set TLSv1 back to enabled
  on a default install) [SME: 9175]

* Wed Jan 6 2016 Daniel Berteaud <daniel@firewall-services.com> - 1.4.0-18.sme
- Disable TLSv1 [SME: 9175]

* Wed Jan 7 2015 Daniel Berteaud <daniel@firewall-services.com> - 1.4.0-17.sme
- Allow custom passdb args [SME: 8778]

* Thu Jan 23 2014 Daniel Berteaud <daniel@firewall-services.com> - 1.4.0-16.sme
- Remove limit props from the imaps DB entry [SME: 8082]

* Tue Dec 24 2013 Daniel Berteaud <daniel@firewall-services.com> - 1.4.0-15.sme
- Apply process limits [SME: 8082]

* Sun Jun 23 2013 Daniel Berteaud <daniel@firewall-services.com> - 1.4.0-14.sme
- Listen on loopback if disabled [SME: 7697]

* Wed May 29 2013  chris burnat <devlist@burnat.com> - 1.4.0-13.sme
- Reverse changes made in 1.4.0-12 [SME: 7597]

* Fri May 24 2013  chris burnat <devlist@burnat.com> - 1.4.0-12.sme
- Fix IMAP folders dont present correctly in Outlook 2007 [SME: 7597]

* Sat May 18 2013  Daniel Berteaud <daniel@firewall-services.com> - 1.4.0-11.sme
- Fix permissions on imapd.pem as it's used by pop3s [SME: 7570]

* Wed Apr 24 2013 Daniel Berteaud <daniel@firewall-services.com> - 1.4.0-10.sme
- Do not obsolete bglibs, it's required for cvm [SME: 7509]

* Tue Apr 16 2013 Daniel Berteaud <daniel@firewall-services.com> - 1.4.0-9.sme
- Allow plaintext (unless explicitly disabled) [SME: 7549]

* Wed Apr 10 2013 Daniel Berteaud <daniel@firewall-services.com> - 1.4.0-8.sme
- Do not obsolete cvm, it's still needed for qpsmtpd [SME: 7509]

* Thu Feb 28 2013 Shad L. Lords <slords@mail.com> - 1.4.0-7.sme
- Obsolete another el5 required by requires [SME: 7273]

* Thu Feb 28 2013 Shad L. Lords <slords@mail.com> - 1.4.0-6.sme
- Fix Obsolete el5 mailfront version [SME: 7273]

* Thu Feb 28 2013 Shad L. Lords <slords@mail.com> - 1.4.0-5.sme
- Obsolete el5 packages that were required by old requires [SME: 7273]

* Thu Feb 28 2013 Shad L. Lords <slords@mail.com> - 1.4.0-4.sme
- Obsolete older requires that are no longer needed [SME: 7273]

* Thu Feb 28 2013 Shad L. Lords <slords@mail.com> - 1.4.0-3.sme
- Remove requires for packages no longer needed [SME: 7405]

* Thu Feb 28 2013 Daniel Berteaud <daniel@firewall-services.com> - 1.4.0-2.sme
- remove the IMAP acl and Sieve support [SME: 7405]
- remove obsolete changelog (used in my previous buildsys)

* Tue Feb 26 2013 Daniel Berteaud <daniel@firewall-services.com> - 0.1.1-1
- store sharedmailbox dict file in /home/e-smith/db/dovecot

* Tue Feb 12 2013 Daniel Berteaud <daniel@firewall-services.com> - 0.1.0-1
- Pass the recipient variable to dovcot-lda

* Tue Nov 29 2011 Daniel Berteaud <daniel@firewall-services.com> - 0.1
- initial release

%prep
%setup -q -n %{name}-%{version}

%build
perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
   --file /var/service/dovecot/run 'attr(0755,root,root)' \
   --file /var/service/dovecot/log/run 'attr(0755,root,root)' \
   --file /var/service/dovecot/control/1 'attr(0755,root,root)' \
   --dir /var/log/dovecot 'attr(0750,smelog,smelog)' \
  > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post

%preun

